Get consumers associated with a specific client
GET /v1/consumers/by-client
- Scope
consumers:readorclients:readorassignments:readorshifts:readorschedule:readorforms:read
Fetches a list of consumers linked to a given client, only including those with is_published = true.
Parameters
Query parameters
| Name | Type | Description |
|---|---|---|
client required | string | The ID of the client whose consumers should be fetched Example |
isActive | boolean | When true, only includes consumers whose status is Active Example |
restrictedConsumers | boolean | When true, includes consumers this client has restricted; omitted or false excludes them (default) Example |
Every call also sends Authorization and X-Tenant-ID; see Getting started.
Example request
curl "https://api.fetchfido.ai/v1/consumers/by-client?client=CLT-UXVM8P" \
-H "Authorization: Bearer $FIDO_API_KEY" \
-H "X-Tenant-ID: $FIDO_TENANT_ID"Try it
Responses
200 List of Consumers retrieved successfully
List of Consumers retrieved successfully
{
"success": true,
"message": "Consumers fetched successfully!",
"data": [
{
"id": "1",
"label": "John Doe",
"value": "1",
"image": "consumer_logo.png"
},
{
"id": "2",
"label": "Jane Smith",
"value": "2",
"image": null
}
]
}Response fields (7)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
data | array of object | |
data[].id | string | Example |
data[].label | string | Example |
data[].value | string | Example |
data[].image | string | Example |
401 Not signed in
Unauthorized - Authentication required
{
"success": false,
"message": "Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for.",
"errors": null,
"code": "API_KEY_MISSING"
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Machine-readable reason, for branching on in client code. One of: |
403 Not allowed
Scope, tenant, IP allow-list or RBAC check failed.
{
"success": false,
"message": "You don't have permission to access this endpoint. This API key is missing the 'consumers:read' scope.",
"errors": null,
"code": ""
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Always empty on this status. Example |
429 Too many requests
Rate limit exceeded. See Retry-After.
{
"success": false,
"message": "You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds.",
"errors": null,
"code": "RATE_LIMITED"
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Machine-readable reason, for branching on in client code. One of: |
500 Server error
Internal server error
{
"success": false,
"message": "An unexpected error occurred. Please try again later."
}Response fields (2)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |